Minerva API
API referenceExtraction sessions

List extraction sessions

GET/extraction-sessions

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created in Settings → API Keys.

In: header

Query Parameters

projectId?string
limit?integer

Max rows to return (default 50, max 1000).

Range1 <= value <= 1000
Default50
offset?integer

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/extraction-sessions"
{  "data": {    "data": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "createdAt": "2019-08-24T14:15:22Z",        "completedAt": "2019-08-24T14:15:22Z",        "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",        "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f",        "creator": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "email": "string",          "firstName": "string",          "lastName": "string"        },        "status": "NOT_STARTED",        "documentCount": 0      }    ],    "total": 0,    "limit": 0,    "offset": 0  },  "meta": {    "requestId": "string",    "timestamp": "string"  }}